ext_board_eeprom_read() {
	i2cget -y 3 0x50 "$1" b 2>/dev/null
}

ext_board_is_atmark_techno() {
	# check vendor id is 0x0001 on big endian
	[ "$(ext_board_eeprom_read 0x00)" = 0x00 ] \
		&& [ "$(ext_board_eeprom_read 0x01)" = 0x01 ]
}

ext_board_is_lte() {
	# vendor id must be atmark techno and
	# product id is 0x0001 on big endian
	ext_board_is_atmark_techno \
		&& [ "$(ext_board_eeprom_read 0x02)" = 0x00 ] \
		&& [ "$(ext_board_eeprom_read 0x03)" = 0x01 ]
}

board_setup() {
	# reset hwrevision even if it's already set:
	# we could be installing to a newer revision.
	[ -n "$SN" ] || SN=$(get_kotai_code)
	# note ${SN:x:y} is not posix but works on busybox ash/mksh
	case "${SN:0:4}" in
	00C6) echo 'iot-g4-eva at1';;
	00C7) echo 'iot-g4-es1 at1';;
	00C8) echo 'iot-g4-es2 at1';;
	00C9) echo 'AGX4500 at1';;
	00CB) echo 'iot-g4-es3 at1';;
	esac > /target/etc/hwrevision \
		|| error "Could not update /etc/hwrevision"


	if ext_board_is_lte; then
		einfo "LTE extension board found"
		echo "fdt_overlays=armadillo_iotg_g4-lte-ext-board.dtbo" > /target/boot/overlays.txt
		ln -s /etc/init.d/connection-recover /target/etc/runlevels/default/
		ln -s /etc/init.d/modemmanager /target/etc/runlevels/boot/
	fi
}

